* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Inter', sans-serif;
  color: #222;
  line-height: 1.7;
}

h1, h2, h3, h4 {
  font-family: 'Playfair Display', serif;
}

.container {
  width: 90%;
  max-width: 1150px;
  margin: auto;
}

/* HEADER */
.header {
  background: #fff;
  border-bottom: 1px solid #eee;
  padding: 1.2rem 0;
}

.header-flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  font-weight: 700;
  font-size: 1.3rem;
}

/* BUTTONS */
.btn {
      display: inline-block;
  padding: 0.8rem 2rem;
  border-radius: 30px;
  text-decoration: none;
  font-weight: 600;
  border: 1px solid #ffffff;
  color: #ffffff;
  margin: 15px;
}

.btn.primary {
  background: #000;
  color: #fff;
}

.btn.secondary {
  background: transparent;
  border: 1px solid #ffffff;
}

.btn:hover {
  opacity: 0.85;
}

/* HERO */
.hero {
  background: linear-gradient(rgba(0,0,0,0.9), rgba(0,0,0,0.3)),
              url("img-coiffeur/5.jpg");
  background-size: cover;
  background-position: TOP;
  color: #fff;
  padding: 10rem 0;
}

.hero-grid {
  max-width: 750px;
  
 
}

.hero h1 {
  font-size: 4rem;
  margin-bottom: 1rem;
}
.hero p{
    font-size: 1.2rem;
}

.hero-list {
  list-style: none;
  margin: 2rem 0; font-size: 1.2em;
}

.hero-list li {
  margin-bottom: 0.6rem;
}

.hero-list i {
  margin-right: 0.5rem;
}

/* SECTIONS */
.about, .testimonials {
  padding: 5rem 0;
}

.services {
  background: #f7f7f7;
  background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)),
              url("img-coiffeur/2.avif");
  background-size: cover;
  background-position: center;
  padding: 7rem 0;
}
.services h2{
    color: #fff;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
  gap: 2rem;
  margin-top: 3rem;
}

.card {
  background: #fff;
  padding: 2.5rem;
  border-radius: 14px;
  text-align: center;
}

.card i {
  font-size: 2rem;
  margin-bottom: 1rem;
}

/* WHY */
.why {
  background: #000;
  color: #fff;
  padding: 5rem 0;
}

.why-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px,1fr));
  gap: 2rem;
  margin-top: 3rem;
}

.why i {
  font-size: 1.8rem;
  margin-bottom: 1rem;
}

/* CONTACT */
.contact {
  background: #f7f7f7;
  padding: 5rem 0;
}

.contact form {
  max-width: 520px;
  margin: auto;
  display: grid;
  gap: 1rem;
}

.contact input,
.contact textarea {
  padding: 0.9rem;
  border-radius: 6px;
  border: 1px solid #ccc;
}

/* FOOTER */
.footer {
  background: #111;
  color: #bbb;
  text-align: center;
  padding: 1.5rem;
  font-size: 0.9rem;
}

/* RESPONSIVE */
@media (max-width: 768px) {
  .hero h1 {
    font-size: 3.2rem;
  }
}
